
*Table1

*2012
clear
use "C:\Users\w\Desktop\PeerJ\Data.dta"
keep if cyear == 2012
tabstat Age urbanizationrate , s(N mean sd) f(%12.3f) c(s)
tab1 Depression  Gender Ethnicitycode Levelofeducation Maritalstatus Livingareas BMI Selfratedhealth  Smoking Drinking Exercise 

*2016
clear
use "C:\Users\w\Desktop\PeerJ\Data.dta"
keep if cyear == 2016
tabstat Age urbanizationrate , s(N mean sd) f(%12.3f) c(s)
tab1 Depression  Gender Ethnicitycode Levelofeducation Maritalstatus Livingareas BMI Selfratedhealth  Smoking Drinking Exercise 

*2018
clear
use "C:\Users\w\Desktop\PeerJ\Data.dta"
keep if cyear == 2018
tabstat Age urbanizationrate , s(N mean sd) f(%12.3f) c(s)
tab1 Depression  Gender Ethnicitycode Levelofeducation Maritalstatus Livingareas BMI Selfratedhealth  Smoking Drinking Exercise 



*Table2

*Model1
clear
use "C:\Users\w\Desktop\PeerJ\Data.dta"
xtset pid
xtgee Depression urbanizationrate, family(binomial 1) link(logit) corr(exchangeable) vce(robust)
*Model2
clear
use "C:\Users\w\Desktop\PeerJ\Data.dta"
xtset pid
xtgee Depression urbanizationrate Gender Age Ethnicitycode Levelofeducation Maritalstatus Livingareas, family(binomial 1) link(logit) corr(exchangeable) vce(robust)
*Model3
clear
use "C:\Users\w\Desktop\PeerJ\Data.dta"
xtset pid
xtgee Depression urbanizationrate Gender Age Ethnicitycode Levelofeducation Maritalstatus Livingareas BMI Selfratedhealth, family(binomial 1) link(logit) corr(exchangeable) vce(robust)
*Model4
clear
use "C:\Users\w\Desktop\PeerJ\Data.dta"
xtset pid
xtgee Depression urbanizationrate Gender Age Ethnicitycode Levelofeducation Maritalstatus Livingareas BMI Selfratedhealth Smoking Drinking Exercise, family(binomial 1) link(logit) corr(exchangeable) vce(robust)


*Table3
*Female
clear
use "C:\Users\w\Desktop\PeerJ\Data.dta"
drop if Gender == 1
xtset pid
xtgee Depression urbanizationrate Age Ethnicitycode Levelofeducation Maritalstatus Livingareas BMI Selfratedhealth Smoking Drinking Exercise, family(binomial 1) link(logit) corr(exchangeable) vce(robust)

*Male
clear
use "C:\Users\w\Desktop\PeerJ\Data.dta"
drop if Gender == 0
xtset pid
xtgee Depression urbanizationrate Age Ethnicitycode Levelofeducation Maritalstatus Livingareas BMI Selfratedhealth Smoking Drinking Exercise, family(binomial 1) link(logit) corr(exchangeable) vce(robust)
